package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import org.openxma.dsl.reference.dto.CustomerIdDto;
import org.openxma.dsl.reference.types.valueobject.TelefonNumber;

public abstract class CustomerContactReportGen extends CustomerIdDto implements Serializable {
	private static final long serialVersionUID = -591632474;
	protected String firstName;
	protected String lastName;
	protected String emailAddress;
	protected TelefonNumber telefonNumber;
	
	public String getFirstName() {
        return this.firstName;
    }
	
	public void setFirstName(String firstName) {
        this.firstName=firstName;
    }
	
	public String getLastName() {
        return this.lastName;
    }
	
	public void setLastName(String lastName) {
        this.lastName=lastName;
    }
	
	public String getEmailAddress() {
        return this.emailAddress;
    }
	
	public void setEmailAddress(String emailAddress) {
        this.emailAddress=emailAddress;
    }
	
	public TelefonNumber getTelefonNumber() {
        return this.telefonNumber;
    }
	
	public void setTelefonNumber(TelefonNumber telefonNumber) {
        this.telefonNumber=telefonNumber;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("CustomerContactReport [");
    	toStringBuilder.append(super.toString()).append(",");
        toStringBuilder.append("firstName=").append(getFirstName()).append(",");
        toStringBuilder.append("lastName=").append(getLastName()).append(",");
        toStringBuilder.append("emailAddress=").append(getEmailAddress()).append(",");
        toStringBuilder.append("telefonNumber=").append(getTelefonNumber());
        return toStringBuilder.append("]").toString();
    }
}
