package org.openxma.dsl.reference.ui.browsemodes.client;

import java.util.Locale;
import java.util.ResourceBundle;
import org.eclipse.swt.*;
import org.eclipse.swt.events.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;
import at.spardat.xma.component.*;
import at.spardat.xma.widgets.DatePicker;
import at.spardat.xma.page.*;
import at.spardat.xma.mdl.*;
import at.spardat.enterprise.util.*;
import at.spardat.xma.mdl.list.*;
import at.spardat.xma.mdl.simple.*;
import at.spardat.enterprise.fmt.*;
import org.openxma.dsl.platform.xma.client.browse.BrowseMode;

/**
 * This class implements the generic client part of BrowseModesPage.
 * It implements the widgets and models of the page.
 *
 */
public abstract class BrowseModesPageGen extends org.openxma.dsl.platform.xma.client.DslDialogPage {
    private Locale genPageLocale = null;
    private ResourceBundle genPageMessages = null;
    Composite BrowseModesPage_composite_0_0_0_0W;
    Composite BrowseModesPage_composite_0_0_0_0_set0W;
    Label BrowseModesPage_composite_0_0_0_0_set0_centered;
    Button editModeCheckBoxW;
    ISimpleWMClient editModeCheckBox;
    Group BrowseModesPage_composite_1_0_0_0W;
    Composite BrowseModesPage_composite_1_0_0_0_set0W;
    Label BrowseModesPage_composite_1_0_0_0_set0_centered;
    Label tx1L;
    Text tx1W;
    ISimpleWMClient tx1;
    Label cb1L;
    Combo cb1W;
    IListWMClient cb1;
    Composite BrowseModesPage_composite_1_0_0_0_set1W;
    Label BrowseModesPage_composite_1_0_0_0_set1_centered;
    Label customer1_firstNameL;
    Text customer1_firstNameW;
    ISimpleWMClient customer1_firstName;
    Composite BrowseModesPage_composite_1_0_0_0_set2W;
    Label BrowseModesPage_composite_1_0_0_0_set2_centered;
    Label customer1_birthDateL;
    DatePicker customer1_birthDateW;
    ISimpleWMClient customer1_birthDate;
    Label customer1_genderL;
    Combo customer1_genderW;
    IListDomWMClient customer1_gender;
    Group BrowseModesPage_composite_2_0_0_0W;
    Composite BrowseModesPage_composite_2_0_0_0_set0W;
    Label BrowseModesPage_composite_2_0_0_0_set0_centered;
    Label tx2L;
    Text tx2W;
    ISimpleWMClient tx2;
    Label cb2L;
    Combo cb2W;
    IListWMClient cb2;
    Composite BrowseModesPage_composite_2_0_0_0_set1W;
    Label BrowseModesPage_composite_2_0_0_0_set1_centered;
    Label customer2_firstNameL;
    Text customer2_firstNameW;
    ISimpleWMClient customer2_firstName;
    Composite BrowseModesPage_composite_2_0_0_0_set2W;
    Label BrowseModesPage_composite_2_0_0_0_set2_centered;
    Label customer2_birthDateL;
    DatePicker customer2_birthDateW;
    ISimpleWMClient customer2_birthDate;
    Label customer2_genderL;
    Combo customer2_genderW;
    IListDomWMClient customer2_gender;
    Group BrowseModesPage_composite_3_0_0_0W;
    Composite BrowseModesPage_composite_3_0_0_0_set0W;
    Label BrowseModesPage_composite_3_0_0_0_set0_centered;
    Label caption;
    Composite BrowseModesPage_composite_3_0_0_0_set1W;
    Label BrowseModesPage_composite_3_0_0_0_set1_centered;
    Label tx3L;
    Text tx3W;
    ISimpleWMClient tx3;
    Label cb3L;
    Combo cb3W;
    IListWMClient cb3;
    Composite BrowseModesPage_composite_3_0_0_0_set2W;
    Label BrowseModesPage_composite_3_0_0_0_set2_centered;
    Label customer3_firstNameL;
    Text customer3_firstNameW;
    ISimpleWMClient customer3_firstName;
    Composite BrowseModesPage_composite_3_0_0_0_set3W;
    Label BrowseModesPage_composite_3_0_0_0_set3_centered;
    Label customer3_birthDateL;
    DatePicker customer3_birthDateW;
    ISimpleWMClient customer3_birthDate;
    Label customer3_genderL;
    Combo customer3_genderW;
    IListDomWMClient customer3_gender;
    WModel[] widgetModels;
    Control[] widgets;

    /* Browse controls */
    Text tx2_browseW;
    Text cb2_browseW;
    Text customer2_firstName_browseW;
    Text customer2_birthDate_browseW;
    Text customer2_gender_browseW;
    Label tx3_browseW;
    Label cb3_browseW;
    Label customer3_firstName_browseW;
    Label customer3_birthDate_browseW;
    Label customer3_gender_browseW;

    /**
     * Constructs the BrowseModesPageGen.
     * @param parent the parent page
     */
    public BrowseModesPageGen(PageClient parent) {
        super(parent,false,SWT.PRIMARY_MODAL|SWT.CLOSE|SWT.MAX|SWT.MIN|SWT.RESIZE|SWT.TITLE);
        createModels();
    }

    /**
     * Constructs the BrowseModesPageGen.
     * @param component the component this page belongs to
     */
    public BrowseModesPageGen(ComponentClient component) {
        super(component,false,SWT.PRIMARY_MODAL|SWT.CLOSE|SWT.MAX|SWT.MIN|SWT.RESIZE|SWT.TITLE);
        createModels();
    }

    /**
     * Constructs the BrowseModesPageGen.
     * @param component the component this page belongs to
     * @param parentShell the shell of the calling dialog
     */
    public BrowseModesPageGen(ComponentClient component, Shell parentShell) {
        super(component,parentShell,false,SWT.PRIMARY_MODAL|SWT.CLOSE|SWT.MAX|SWT.MIN|SWT.RESIZE|SWT.TITLE);
        createModels();
    }

    /**
     * Constructs the BrowseModesPageGen.
     * @param component the component this page belongs to
     * @param parentShell the shell of the calling dialog
     * @param modal the SWT-style for the desired modality
     */
    public BrowseModesPageGen(ComponentClient component, Shell parentShell, int modal) {
        super(component,parentShell,false,modal|SWT.CLOSE|SWT.MAX|SWT.MIN|SWT.RESIZE|SWT.TITLE);
        createModels();
    }


    /*
     * returns the Locale used for this page
    */
    final protected Locale getGenPageLocale() {
        if (genPageLocale == null) {
            genPageLocale = getComponent().getContext().getLocale();
        }
        return genPageLocale;
    }

    /*
     * returns the message resource bundle used for this page
    */
    final protected ResourceBundle getGenPageMessages() {
        if (genPageMessages == null) {
            genPageMessages = ResourceBundle.getBundle("org.openxma.dsl.reference.ui.browsemodes.client.BrowseModes",getGenPageLocale());
        }
        return genPageMessages;
    }

    /**
     * Gives the URI of the help for this page
     * This URI is relative to the download-URI of the component
     * @return the relative URI of the help for this page
     */
    public String getHelpUri() {
        return "help/org/openxma/dsl/reference/ui/browsemodes/BrowseModesPage.html";
    }

    /**
     * Create and initialize the WidgetModels of the page.
     * Subpages which are not lazy are created too.
     */
    public void createModels() {
        IFmt formatter;
        CompoundValidator compound;
        editModeCheckBox = new SimpleWMClient((short) 0, Types.T_BOOLEAN, this);
        tx1 = new SimpleWMClient((short) 1, Types.T_STRING, this);
        formatter = AStringFmt.getInstance(-1);
        tx1.setFmt(formatter);
        cb1 = new ListWMClient((short) 2,this, ListWMClient.S_NULL);
        customer1_firstName = new SimpleWMClient((short) 3, Types.T_STRING, this);
        formatter = AStringFmt.getInstance(25);
        compound = new CompoundValidator(formatter);
        formatter = AStringFmt.getInstance(25);
        compound.setFormatter(formatter);
        formatter = compound;
        customer1_firstName.setFmt(formatter);
        customer1_birthDate = new SimpleWMClient((short) 4, Types.T_DATE, this);
        formatter = ADateFmt.getInstance(ADateFmt.MEDIUM, getGenPageLocale());
        compound = new CompoundValidator(formatter);
        formatter = ADateFmt.getInstance(ADateFmt.MEDIUM, getGenPageLocale());
        compound.setFormatter(formatter);
        formatter = compound;
        customer1_birthDate.setFmt(formatter);
        customer1_gender = new ListDomWMClient((short) 5,this, "type=rsc,bundle=org.openxma.dsl.reference.types.Gender", ListDomWMClient.SHOW_LONG);
        ((ListDomWMClient)customer1_gender).setOrderStyle(ListDomWMClient.ORDER_NATURAL);
        tx2 = new SimpleWMClient((short) 6, Types.T_STRING, this);
        formatter = AStringFmt.getInstance(-1);
        tx2.setFmt(formatter);
        cb2 = new ListWMClient((short) 7,this, ListWMClient.S_NULL);
        customer2_firstName = new SimpleWMClient((short) 8, Types.T_STRING, this);
        formatter = AStringFmt.getInstance(25);
        compound = new CompoundValidator(formatter);
        formatter = AStringFmt.getInstance(25);
        compound.setFormatter(formatter);
        formatter = compound;
        customer2_firstName.setFmt(formatter);
        customer2_birthDate = new SimpleWMClient((short) 9, Types.T_DATE, this);
        formatter = ADateFmt.getInstance(ADateFmt.MEDIUM, getGenPageLocale());
        compound = new CompoundValidator(formatter);
        formatter = ADateFmt.getInstance(ADateFmt.MEDIUM, getGenPageLocale());
        compound.setFormatter(formatter);
        formatter = compound;
        customer2_birthDate.setFmt(formatter);
        customer2_gender = new ListDomWMClient((short) 10,this, "type=rsc,bundle=org.openxma.dsl.reference.types.Gender", ListDomWMClient.SHOW_LONG);
        ((ListDomWMClient)customer2_gender).setOrderStyle(ListDomWMClient.ORDER_NATURAL);
        tx3 = new SimpleWMClient((short) 11, Types.T_STRING, this);
        formatter = AStringFmt.getInstance(-1);
        tx3.setFmt(formatter);
        cb3 = new ListWMClient((short) 12,this, ListWMClient.S_NULL);
        customer3_firstName = new SimpleWMClient((short) 13, Types.T_STRING, this);
        formatter = AStringFmt.getInstance(25);
        compound = new CompoundValidator(formatter);
        formatter = AStringFmt.getInstance(25);
        compound.setFormatter(formatter);
        formatter = compound;
        customer3_firstName.setFmt(formatter);
        customer3_birthDate = new SimpleWMClient((short) 14, Types.T_DATE, this);
        formatter = ADateFmt.getInstance(ADateFmt.MEDIUM, getGenPageLocale());
        compound = new CompoundValidator(formatter);
        formatter = ADateFmt.getInstance(ADateFmt.MEDIUM, getGenPageLocale());
        compound.setFormatter(formatter);
        formatter = compound;
        customer3_birthDate.setFmt(formatter);
        customer3_gender = new ListDomWMClient((short) 15,this, "type=rsc,bundle=org.openxma.dsl.reference.types.Gender", ListDomWMClient.SHOW_LONG);
        ((ListDomWMClient)customer3_gender).setOrderStyle(ListDomWMClient.ORDER_NATURAL);

        widgetModels = new WModel[] { (WModel) editModeCheckBox, (WModel) tx1, (WModel) cb1, (WModel) customer1_firstName, (WModel) customer1_birthDate, (WModel) customer1_gender, (WModel) tx2, (WModel) cb2, (WModel) customer2_firstName, (WModel) customer2_birthDate, (WModel) customer2_gender, (WModel) tx3, (WModel) cb3, (WModel) customer3_firstName, (WModel) customer3_birthDate, (WModel) customer3_gender };
        getComponent().registerPageModel(this);
    }

    /**
     * Indicate if the WidgetModels are already created.
     * @return true if the WidgetModels exist.
     */
    public boolean hasModels() {
        return widgetModels != null;
    }

    /**
     * Remove all WidgetModels of the page.
     */
    public void removeWidgetModels() {
        editModeCheckBox = null;
        tx1 = null;
        cb1 = null;
        customer1_firstName = null;
        customer1_birthDate = null;
        customer1_gender = null;
        tx2 = null;
        cb2 = null;
        customer2_firstName = null;
        customer2_birthDate = null;
        customer2_gender = null;
        tx3 = null;
        cb3 = null;
        customer3_firstName = null;
        customer3_birthDate = null;
        customer3_gender = null;
        widgetModels = null;
    }

    /**
     * Returns an array of all WidgetModels of this page.
     * @return array of WidgetModels. The returned array is not a copy, therefore
     *          it must not be modified.
     */
    public WModel[] getWModels() {
        return widgetModels;
    }

    /**
     * Replaces the model array generated by guidesigner.
     * May only be called by the runtime. Do not call this method!
     */
    protected void setWModels(WModel[] models) {
        widgetModels=models;
    }

    /**
     * Returns a unique id to identify the type of this Page.
     * @return the typeId
     */
    public short getTypeId() {
        return BrowseModes.BrowseModesPageClass;
    }

    /**
     * Returns the component this page belongs to, casted to its actual type.
     * @return The Component. Never null.
     */
    public BrowseModes getTypedComponent() {
        return (BrowseModes) getComponent();
    }

    /**
     * Returns an array of all Widgets of this page.
     * @return array of Widgets. The returned array is not a copy, therefore
     *          it must not be modified.
     */
    public Control[] getWidgets() {
        return widgets;
    }

    /**
     * Replaces the widget array generated by guidesigner.
     * May only be called by the runtime. Do not call this method!
     */
    protected void setWidgets(Control[] widgets) {
        this.widgets=widgets;
    }

    /**
     * Create and initialize all SWT-Widgets of the page.
     * It <br>
     * <ul>
     * <li> instantiates the Widgets </li>
     * <li> sets constant texts (Title, Labels, Tooltips) and Images </li>
     * <li> registers the eventadapter </li>
     * <li> defines the Layout (Attachments, Distances, Sizes) </li>
     * <li> sets the focus </li>
     * <li> defines the Taborder </li>
     * </ul>
     */
    protected void createWidgets() {
        FormData data;
        Control[] tabOrder;
        EventAdapter adapter = new EventAdapter(this);
        final Scaler scaler = Scaler.getInstance(getComposite());
        Control lastControl;

        final Shell shell = getShell();
        if(getDialog()==this) {
            shell.setText(getGenPageMessages().getString("BrowseModesPage"));
            shell.addHelpListener(adapter);
        } else {
            getComposite().addHelpListener(adapter);
        }
        Composite BrowseModesPageCompW = getComposite();
        FormLayout layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(3);
        layout.marginWidth = scaler.convertXToCurrent(3);
        BrowseModesPageCompW.setLayout(layout);

        BrowseModesPage_composite_0_0_0_0W = new Composite(BrowseModesPageCompW,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(3);
        layout.marginWidth = scaler.convertXToCurrent(3);
        BrowseModesPage_composite_0_0_0_0W.setLayout(layout);
        BrowseModesPage_composite_0_0_0_0W.setData("WIDGET_ID","BrowseModesPage_composite_0_0_0_0W");

        BrowseModesPage_composite_0_0_0_0_set0W = new Composite(BrowseModesPage_composite_0_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_0_0_0_0_set0W.setLayout(layout);
        BrowseModesPage_composite_0_0_0_0_set0W.setData("WIDGET_ID","BrowseModesPage_composite_0_0_0_0_set0W");

        BrowseModesPage_composite_0_0_0_0_set0_centered = new Label(BrowseModesPage_composite_0_0_0_0_set0W,SWT.LEFT);
        BrowseModesPage_composite_0_0_0_0_set0_centered.setVisible(false);
        BrowseModesPage_composite_0_0_0_0_set0_centered.setData("WIDGET_ID","BrowseModesPage_composite_0_0_0_0_set0_centered");

        editModeCheckBoxW = new Button(BrowseModesPage_composite_0_0_0_0_set0W, SWT.CHECK|SWT.CENTER);
        editModeCheckBoxW.setText(getGenPageMessages().getString("BrowseModesPage.editModeCheckBoxW"));
        editModeCheckBoxW.setData("WIDGET_ID","editModeCheckBoxW");
        editModeCheckBoxW.addSelectionListener(adapter);

        BrowseModesPage_composite_1_0_0_0W = new Group(BrowseModesPageCompW,SWT.NONE);
        BrowseModesPage_composite_1_0_0_0W.setText(getGenPageMessages().getString("BrowseModesPage.BrowseModesPage_composite_1_0_0_0W"));
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(3);
        layout.marginWidth = scaler.convertXToCurrent(3);
        BrowseModesPage_composite_1_0_0_0W.setLayout(layout);

        BrowseModesPage_composite_1_0_0_0_set0W = new Composite(BrowseModesPage_composite_1_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_1_0_0_0_set0W.setLayout(layout);
        BrowseModesPage_composite_1_0_0_0_set0W.setData("WIDGET_ID","BrowseModesPage_composite_1_0_0_0_set0W");

        BrowseModesPage_composite_1_0_0_0_set0_centered = new Label(BrowseModesPage_composite_1_0_0_0_set0W,SWT.LEFT);
        BrowseModesPage_composite_1_0_0_0_set0_centered.setVisible(false);
        BrowseModesPage_composite_1_0_0_0_set0_centered.setData("WIDGET_ID","BrowseModesPage_composite_1_0_0_0_set0_centered");

        tx1L = new Label(BrowseModesPage_composite_1_0_0_0_set0W,SWT.LEFT|SWT.WRAP);
        tx1L.setText(getGenPageMessages().getString("BrowseModesPage.tx1L"));
        tx1L.setData("WIDGET_ID","tx1L");

        tx1W = new Text(BrowseModesPage_composite_1_0_0_0_set0W,SWT.SINGLE|SWT.BORDER|SWT.LEFT);
        tx1W.setData("WIDGET_ID","tx1W");
        tx1W.addFocusListener(adapter);
        tx1W.addModifyListener(adapter);
        tx1W.addVerifyListener(adapter);

        cb1L = new Label(BrowseModesPage_composite_1_0_0_0_set0W,SWT.LEFT|SWT.WRAP);
        cb1L.setText(getGenPageMessages().getString("BrowseModesPage.cb1L"));
        cb1L.setData("WIDGET_ID","cb1L");

        cb1W = new Combo(BrowseModesPage_composite_1_0_0_0_set0W,SWT.DROP_DOWN|SWT.BORDER);
        cb1W.setData("WIDGET_ID","cb1W");
        cb1W.addFocusListener(adapter);
        cb1W.addModifyListener(adapter);
        cb1W.addSelectionListener(adapter);

        BrowseModesPage_composite_1_0_0_0_set1W = new Composite(BrowseModesPage_composite_1_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_1_0_0_0_set1W.setLayout(layout);
        BrowseModesPage_composite_1_0_0_0_set1W.setData("WIDGET_ID","BrowseModesPage_composite_1_0_0_0_set1W");

        BrowseModesPage_composite_1_0_0_0_set1_centered = new Label(BrowseModesPage_composite_1_0_0_0_set1W,SWT.LEFT);
        BrowseModesPage_composite_1_0_0_0_set1_centered.setVisible(false);
        BrowseModesPage_composite_1_0_0_0_set1_centered.setData("WIDGET_ID","BrowseModesPage_composite_1_0_0_0_set1_centered");

        customer1_firstNameL = new Label(BrowseModesPage_composite_1_0_0_0_set1W,SWT.LEFT|SWT.WRAP);
        customer1_firstNameL.setText(getGenPageMessages().getString("BrowseModesPage.customer1_firstNameL"));
        customer1_firstNameL.setData("WIDGET_ID","customer1_firstNameL");

        customer1_firstNameW = new Text(BrowseModesPage_composite_1_0_0_0_set1W,SWT.SINGLE|SWT.BORDER|SWT.LEFT);
        customer1_firstNameW.setToolTipText(getGenPageMessages().getString("BrowseModesPage.customer1_firstNameWTip"));
        customer1_firstNameW.setData("WIDGET_ID","customer1_firstNameW");
        customer1_firstNameW.addFocusListener(adapter);
        customer1_firstNameW.addModifyListener(adapter);
        customer1_firstNameW.addVerifyListener(adapter);

        BrowseModesPage_composite_1_0_0_0_set2W = new Composite(BrowseModesPage_composite_1_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_1_0_0_0_set2W.setLayout(layout);
        BrowseModesPage_composite_1_0_0_0_set2W.setData("WIDGET_ID","BrowseModesPage_composite_1_0_0_0_set2W");

        BrowseModesPage_composite_1_0_0_0_set2_centered = new Label(BrowseModesPage_composite_1_0_0_0_set2W,SWT.LEFT);
        BrowseModesPage_composite_1_0_0_0_set2_centered.setVisible(false);
        BrowseModesPage_composite_1_0_0_0_set2_centered.setData("WIDGET_ID","BrowseModesPage_composite_1_0_0_0_set2_centered");

        customer1_birthDateL = new Label(BrowseModesPage_composite_1_0_0_0_set2W,SWT.LEFT|SWT.WRAP);
        customer1_birthDateL.setText(getGenPageMessages().getString("BrowseModesPage.customer1_birthDateL"));
        customer1_birthDateL.setData("WIDGET_ID","customer1_birthDateL");

        customer1_birthDateW = new DatePicker(BrowseModesPage_composite_1_0_0_0_set2W,SWT.SINGLE|SWT.BORDER|SWT.LEFT,DatePicker.RED_WEEKEND);
        customer1_birthDateW.setDatePickerLocale(getGenPageLocale());
        customer1_birthDateW.setToolTipText(getGenPageMessages().getString("BrowseModesPage.customer1_birthDateWTip"));
        customer1_birthDateW.setData("WIDGET_ID","customer1_birthDateW");
        customer1_birthDateW.getDateTextField().addFocusListener(adapter);
        customer1_birthDateW.getDateTextField().addModifyListener(adapter);
        customer1_birthDateW.getDateTextField().addVerifyListener(adapter);

        customer1_genderL = new Label(BrowseModesPage_composite_1_0_0_0_set2W,SWT.LEFT|SWT.WRAP);
        customer1_genderL.setText(getGenPageMessages().getString("BrowseModesPage.customer1_genderL"));
        customer1_genderL.setData("WIDGET_ID","customer1_genderL");

        customer1_genderW = new Combo(BrowseModesPage_composite_1_0_0_0_set2W,SWT.DROP_DOWN|SWT.BORDER);
        customer1_genderW.setToolTipText(getGenPageMessages().getString("BrowseModesPage.customer1_genderWTip"));
        customer1_genderW.setData("WIDGET_ID","customer1_genderW");
        customer1_genderW.addFocusListener(adapter);
        customer1_genderW.addModifyListener(adapter);
        customer1_genderW.addSelectionListener(adapter);

        BrowseModesPage_composite_2_0_0_0W = new Group(BrowseModesPageCompW,SWT.NONE);
        BrowseModesPage_composite_2_0_0_0W.setText(getGenPageMessages().getString("BrowseModesPage.BrowseModesPage_composite_2_0_0_0W"));
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(3);
        layout.marginWidth = scaler.convertXToCurrent(3);
        BrowseModesPage_composite_2_0_0_0W.setLayout(layout);

        BrowseModesPage_composite_2_0_0_0_set0W = new Composite(BrowseModesPage_composite_2_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_2_0_0_0_set0W.setLayout(layout);
        BrowseModesPage_composite_2_0_0_0_set0W.setData("WIDGET_ID","BrowseModesPage_composite_2_0_0_0_set0W");

        BrowseModesPage_composite_2_0_0_0_set0_centered = new Label(BrowseModesPage_composite_2_0_0_0_set0W,SWT.LEFT);
        BrowseModesPage_composite_2_0_0_0_set0_centered.setVisible(false);
        BrowseModesPage_composite_2_0_0_0_set0_centered.setData("WIDGET_ID","BrowseModesPage_composite_2_0_0_0_set0_centered");

        tx2L = new Label(BrowseModesPage_composite_2_0_0_0_set0W,SWT.LEFT|SWT.WRAP);
        tx2L.setText(getGenPageMessages().getString("BrowseModesPage.tx2L"));
        tx2L.setData("WIDGET_ID","tx2L");

        tx2W = new Text(BrowseModesPage_composite_2_0_0_0_set0W,SWT.SINGLE|SWT.BORDER|SWT.LEFT);
        tx2W.setData("WIDGET_ID","tx2W");
        tx2W.addFocusListener(adapter);
        tx2W.addModifyListener(adapter);
        tx2W.addVerifyListener(adapter);

        cb2L = new Label(BrowseModesPage_composite_2_0_0_0_set0W,SWT.LEFT|SWT.WRAP);
        cb2L.setText(getGenPageMessages().getString("BrowseModesPage.cb2L"));
        cb2L.setData("WIDGET_ID","cb2L");

        cb2W = new Combo(BrowseModesPage_composite_2_0_0_0_set0W,SWT.DROP_DOWN|SWT.BORDER);
        cb2W.setData("WIDGET_ID","cb2W");
        cb2W.addFocusListener(adapter);
        cb2W.addModifyListener(adapter);
        cb2W.addSelectionListener(adapter);

        BrowseModesPage_composite_2_0_0_0_set1W = new Composite(BrowseModesPage_composite_2_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_2_0_0_0_set1W.setLayout(layout);
        BrowseModesPage_composite_2_0_0_0_set1W.setData("WIDGET_ID","BrowseModesPage_composite_2_0_0_0_set1W");

        BrowseModesPage_composite_2_0_0_0_set1_centered = new Label(BrowseModesPage_composite_2_0_0_0_set1W,SWT.LEFT);
        BrowseModesPage_composite_2_0_0_0_set1_centered.setVisible(false);
        BrowseModesPage_composite_2_0_0_0_set1_centered.setData("WIDGET_ID","BrowseModesPage_composite_2_0_0_0_set1_centered");

        customer2_firstNameL = new Label(BrowseModesPage_composite_2_0_0_0_set1W,SWT.LEFT|SWT.WRAP);
        customer2_firstNameL.setText(getGenPageMessages().getString("BrowseModesPage.customer2_firstNameL"));
        customer2_firstNameL.setData("WIDGET_ID","customer2_firstNameL");

        customer2_firstNameW = new Text(BrowseModesPage_composite_2_0_0_0_set1W,SWT.SINGLE|SWT.BORDER|SWT.LEFT);
        customer2_firstNameW.setToolTipText(getGenPageMessages().getString("BrowseModesPage.customer2_firstNameWTip"));
        customer2_firstNameW.setData("WIDGET_ID","customer2_firstNameW");
        customer2_firstNameW.addFocusListener(adapter);
        customer2_firstNameW.addModifyListener(adapter);
        customer2_firstNameW.addVerifyListener(adapter);

        BrowseModesPage_composite_2_0_0_0_set2W = new Composite(BrowseModesPage_composite_2_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_2_0_0_0_set2W.setLayout(layout);
        BrowseModesPage_composite_2_0_0_0_set2W.setData("WIDGET_ID","BrowseModesPage_composite_2_0_0_0_set2W");

        BrowseModesPage_composite_2_0_0_0_set2_centered = new Label(BrowseModesPage_composite_2_0_0_0_set2W,SWT.LEFT);
        BrowseModesPage_composite_2_0_0_0_set2_centered.setVisible(false);
        BrowseModesPage_composite_2_0_0_0_set2_centered.setData("WIDGET_ID","BrowseModesPage_composite_2_0_0_0_set2_centered");

        customer2_birthDateL = new Label(BrowseModesPage_composite_2_0_0_0_set2W,SWT.LEFT|SWT.WRAP);
        customer2_birthDateL.setText(getGenPageMessages().getString("BrowseModesPage.customer2_birthDateL"));
        customer2_birthDateL.setData("WIDGET_ID","customer2_birthDateL");

        customer2_birthDateW = new DatePicker(BrowseModesPage_composite_2_0_0_0_set2W,SWT.SINGLE|SWT.BORDER|SWT.LEFT,DatePicker.RED_WEEKEND);
        customer2_birthDateW.setDatePickerLocale(getGenPageLocale());
        customer2_birthDateW.setToolTipText(getGenPageMessages().getString("BrowseModesPage.customer2_birthDateWTip"));
        customer2_birthDateW.setData("WIDGET_ID","customer2_birthDateW");
        customer2_birthDateW.getDateTextField().addFocusListener(adapter);
        customer2_birthDateW.getDateTextField().addModifyListener(adapter);
        customer2_birthDateW.getDateTextField().addVerifyListener(adapter);

        customer2_genderL = new Label(BrowseModesPage_composite_2_0_0_0_set2W,SWT.LEFT|SWT.WRAP);
        customer2_genderL.setText(getGenPageMessages().getString("BrowseModesPage.customer2_genderL"));
        customer2_genderL.setData("WIDGET_ID","customer2_genderL");

        customer2_genderW = new Combo(BrowseModesPage_composite_2_0_0_0_set2W,SWT.DROP_DOWN|SWT.BORDER);
        customer2_genderW.setToolTipText(getGenPageMessages().getString("BrowseModesPage.customer2_genderWTip"));
        customer2_genderW.setData("WIDGET_ID","customer2_genderW");
        customer2_genderW.addFocusListener(adapter);
        customer2_genderW.addModifyListener(adapter);
        customer2_genderW.addSelectionListener(adapter);

        BrowseModesPage_composite_3_0_0_0W = new Group(BrowseModesPageCompW,SWT.NONE);
        BrowseModesPage_composite_3_0_0_0W.setText(getGenPageMessages().getString("BrowseModesPage.BrowseModesPage_composite_3_0_0_0W"));
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(3);
        layout.marginWidth = scaler.convertXToCurrent(3);
        BrowseModesPage_composite_3_0_0_0W.setLayout(layout);

        BrowseModesPage_composite_3_0_0_0_set0W = new Composite(BrowseModesPage_composite_3_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_3_0_0_0_set0W.setLayout(layout);
        BrowseModesPage_composite_3_0_0_0_set0W.setData("WIDGET_ID","BrowseModesPage_composite_3_0_0_0_set0W");

        BrowseModesPage_composite_3_0_0_0_set0_centered = new Label(BrowseModesPage_composite_3_0_0_0_set0W,SWT.LEFT);
        BrowseModesPage_composite_3_0_0_0_set0_centered.setVisible(false);
        BrowseModesPage_composite_3_0_0_0_set0_centered.setData("WIDGET_ID","BrowseModesPage_composite_3_0_0_0_set0_centered");

        caption = new Label(BrowseModesPage_composite_3_0_0_0_set0W,SWT.LEFT);
        caption.setText(getGenPageMessages().getString("BrowseModesPage.caption"));
        caption.setData("WIDGET_ID","caption");

        BrowseModesPage_composite_3_0_0_0_set1W = new Composite(BrowseModesPage_composite_3_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_3_0_0_0_set1W.setLayout(layout);
        BrowseModesPage_composite_3_0_0_0_set1W.setData("WIDGET_ID","BrowseModesPage_composite_3_0_0_0_set1W");

        BrowseModesPage_composite_3_0_0_0_set1_centered = new Label(BrowseModesPage_composite_3_0_0_0_set1W,SWT.LEFT);
        BrowseModesPage_composite_3_0_0_0_set1_centered.setVisible(false);
        BrowseModesPage_composite_3_0_0_0_set1_centered.setData("WIDGET_ID","BrowseModesPage_composite_3_0_0_0_set1_centered");

        tx3L = new Label(BrowseModesPage_composite_3_0_0_0_set1W,SWT.LEFT|SWT.WRAP);
        tx3L.setText(getGenPageMessages().getString("BrowseModesPage.tx3L"));
        tx3L.setData("WIDGET_ID","tx3L");

        tx3W = new Text(BrowseModesPage_composite_3_0_0_0_set1W,SWT.SINGLE|SWT.BORDER|SWT.LEFT);
        tx3W.setData("WIDGET_ID","tx3W");
        tx3W.addFocusListener(adapter);
        tx3W.addModifyListener(adapter);
        tx3W.addVerifyListener(adapter);

        cb3L = new Label(BrowseModesPage_composite_3_0_0_0_set1W,SWT.LEFT|SWT.WRAP);
        cb3L.setText(getGenPageMessages().getString("BrowseModesPage.cb3L"));
        cb3L.setData("WIDGET_ID","cb3L");

        cb3W = new Combo(BrowseModesPage_composite_3_0_0_0_set1W,SWT.DROP_DOWN|SWT.BORDER);
        cb3W.setData("WIDGET_ID","cb3W");
        cb3W.addFocusListener(adapter);
        cb3W.addModifyListener(adapter);
        cb3W.addSelectionListener(adapter);

        BrowseModesPage_composite_3_0_0_0_set2W = new Composite(BrowseModesPage_composite_3_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_3_0_0_0_set2W.setLayout(layout);
        BrowseModesPage_composite_3_0_0_0_set2W.setData("WIDGET_ID","BrowseModesPage_composite_3_0_0_0_set2W");

        BrowseModesPage_composite_3_0_0_0_set2_centered = new Label(BrowseModesPage_composite_3_0_0_0_set2W,SWT.LEFT);
        BrowseModesPage_composite_3_0_0_0_set2_centered.setVisible(false);
        BrowseModesPage_composite_3_0_0_0_set2_centered.setData("WIDGET_ID","BrowseModesPage_composite_3_0_0_0_set2_centered");

        customer3_firstNameL = new Label(BrowseModesPage_composite_3_0_0_0_set2W,SWT.LEFT|SWT.WRAP);
        customer3_firstNameL.setText(getGenPageMessages().getString("BrowseModesPage.customer3_firstNameL"));
        customer3_firstNameL.setData("WIDGET_ID","customer3_firstNameL");

        customer3_firstNameW = new Text(BrowseModesPage_composite_3_0_0_0_set2W,SWT.SINGLE|SWT.BORDER|SWT.LEFT);
        customer3_firstNameW.setToolTipText(getGenPageMessages().getString("BrowseModesPage.customer3_firstNameWTip"));
        customer3_firstNameW.setData("WIDGET_ID","customer3_firstNameW");
        customer3_firstNameW.addFocusListener(adapter);
        customer3_firstNameW.addModifyListener(adapter);
        customer3_firstNameW.addVerifyListener(adapter);

        BrowseModesPage_composite_3_0_0_0_set3W = new Composite(BrowseModesPage_composite_3_0_0_0W,SWT.NONE);
        layout = new FormLayout();
        layout.marginHeight = scaler.convertYToCurrent(0);
        layout.marginWidth = scaler.convertXToCurrent(0);
        BrowseModesPage_composite_3_0_0_0_set3W.setLayout(layout);
        BrowseModesPage_composite_3_0_0_0_set3W.setData("WIDGET_ID","BrowseModesPage_composite_3_0_0_0_set3W");

        BrowseModesPage_composite_3_0_0_0_set3_centered = new Label(BrowseModesPage_composite_3_0_0_0_set3W,SWT.LEFT);
        BrowseModesPage_composite_3_0_0_0_set3_centered.setVisible(false);
        BrowseModesPage_composite_3_0_0_0_set3_centered.setData("WIDGET_ID","BrowseModesPage_composite_3_0_0_0_set3_centered");

        customer3_birthDateL = new Label(BrowseModesPage_composite_3_0_0_0_set3W,SWT.LEFT|SWT.WRAP);
        customer3_birthDateL.setText(getGenPageMessages().getString("BrowseModesPage.customer3_birthDateL"));
        customer3_birthDateL.setData("WIDGET_ID","customer3_birthDateL");

        customer3_birthDateW = new DatePicker(BrowseModesPage_composite_3_0_0_0_set3W,SWT.SINGLE|SWT.BORDER|SWT.LEFT,DatePicker.RED_WEEKEND);
        customer3_birthDateW.setDatePickerLocale(getGenPageLocale());
        customer3_birthDateW.setToolTipText(getGenPageMessages().getString("BrowseModesPage.customer3_birthDateWTip"));
        customer3_birthDateW.setData("WIDGET_ID","customer3_birthDateW");
        customer3_birthDateW.getDateTextField().addFocusListener(adapter);
        customer3_birthDateW.getDateTextField().addModifyListener(adapter);
        customer3_birthDateW.getDateTextField().addVerifyListener(adapter);

        customer3_genderL = new Label(BrowseModesPage_composite_3_0_0_0_set3W,SWT.LEFT|SWT.WRAP);
        customer3_genderL.setText(getGenPageMessages().getString("BrowseModesPage.customer3_genderL"));
        customer3_genderL.setData("WIDGET_ID","customer3_genderL");

        customer3_genderW = new Combo(BrowseModesPage_composite_3_0_0_0_set3W,SWT.DROP_DOWN|SWT.BORDER);
        customer3_genderW.setToolTipText(getGenPageMessages().getString("BrowseModesPage.customer3_genderWTip"));
        customer3_genderW.setData("WIDGET_ID","customer3_genderW");
        customer3_genderW.addFocusListener(adapter);
        customer3_genderW.addModifyListener(adapter);
        customer3_genderW.addSelectionListener(adapter);

        widgets = new Control[] { BrowseModesPage_composite_0_0_0_0W, BrowseModesPage_composite_0_0_0_0_set0W, BrowseModesPage_composite_0_0_0_0_set0_centered, editModeCheckBoxW, BrowseModesPage_composite_1_0_0_0W, BrowseModesPage_composite_1_0_0_0_set0W, BrowseModesPage_composite_1_0_0_0_set0_centered, tx1L, tx1W, cb1L, cb1W, BrowseModesPage_composite_1_0_0_0_set1W, BrowseModesPage_composite_1_0_0_0_set1_centered, customer1_firstNameL, customer1_firstNameW, BrowseModesPage_composite_1_0_0_0_set2W, BrowseModesPage_composite_1_0_0_0_set2_centered, customer1_birthDateL, customer1_birthDateW, customer1_genderL, customer1_genderW, BrowseModesPage_composite_2_0_0_0W, BrowseModesPage_composite_2_0_0_0_set0W, BrowseModesPage_composite_2_0_0_0_set0_centered, tx2L, tx2W, cb2L, cb2W, BrowseModesPage_composite_2_0_0_0_set1W, BrowseModesPage_composite_2_0_0_0_set1_centered, customer2_firstNameL, customer2_firstNameW, BrowseModesPage_composite_2_0_0_0_set2W, BrowseModesPage_composite_2_0_0_0_set2_centered, customer2_birthDateL, customer2_birthDateW, customer2_genderL, customer2_genderW, BrowseModesPage_composite_3_0_0_0W, BrowseModesPage_composite_3_0_0_0_set0W, BrowseModesPage_composite_3_0_0_0_set0_centered, caption, BrowseModesPage_composite_3_0_0_0_set1W, BrowseModesPage_composite_3_0_0_0_set1_centered, tx3L, tx3W, cb3L, cb3W, BrowseModesPage_composite_3_0_0_0_set2W, BrowseModesPage_composite_3_0_0_0_set2_centered, customer3_firstNameL, customer3_firstNameW, BrowseModesPage_composite_3_0_0_0_set3W, BrowseModesPage_composite_3_0_0_0_set3_centered, customer3_birthDateL, customer3_birthDateW, customer3_genderL, customer3_genderW };

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_0_0_0_0W.setLayoutData(data);

        lastControl=null;
        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_0_0_0_0_set0W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_0_0_0_0_set0W;

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_0_0_0_0_set0_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(BrowseModesPage_composite_0_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        editModeCheckBoxW.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(BrowseModesPage_composite_0_0_0_0W,scaler.convertYToCurrent(3),SWT.BOTTOM);
        BrowseModesPage_composite_1_0_0_0W.setLayoutData(data);

        lastControl=null;
        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_1_0_0_0_set0W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_1_0_0_0_set0W;

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        if(lastControl!=null) {
            data.top = new FormAttachment(lastControl,scaler.convertYToCurrent(3),SWT.BOTTOM);
        } else {
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        }
        BrowseModesPage_composite_1_0_0_0_set1W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_1_0_0_0_set1W;

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        if(lastControl!=null) {
            data.top = new FormAttachment(lastControl,scaler.convertYToCurrent(3),SWT.BOTTOM);
        } else {
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        }
        BrowseModesPage_composite_1_0_0_0_set2W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_1_0_0_0_set2W;

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_1_0_0_0_set0_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(120));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        tx1L.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(123));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(300));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        tx1W.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(tx1W,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(380));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        cb1L.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(383));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(550));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        cb1W.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_1_0_0_0_set1_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(120));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set1_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer1_firstNameL.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(175);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(123));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(300));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set1_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer1_firstNameW.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_1_0_0_0_set2_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(120));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer1_birthDateL.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(90);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(123));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(300));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer1_birthDateW.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(customer1_birthDateW,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(380));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer1_genderL.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(383));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(550));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer1_genderW.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(BrowseModesPage_composite_1_0_0_0W,scaler.convertYToCurrent(3),SWT.BOTTOM);
        BrowseModesPage_composite_2_0_0_0W.setLayoutData(data);

        lastControl=null;
        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_2_0_0_0_set0W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_2_0_0_0_set0W;

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        if(lastControl!=null) {
            data.top = new FormAttachment(lastControl,scaler.convertYToCurrent(3),SWT.BOTTOM);
        } else {
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        }
        BrowseModesPage_composite_2_0_0_0_set1W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_2_0_0_0_set1W;

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        if(lastControl!=null) {
            data.top = new FormAttachment(lastControl,scaler.convertYToCurrent(3),SWT.BOTTOM);
        } else {
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        }
        BrowseModesPage_composite_2_0_0_0_set2W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_2_0_0_0_set2W;

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_2_0_0_0_set0_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        tx2L.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(tx2L,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        tx2W.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(tx2W,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        cb2L.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(cb2L,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        cb2W.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_2_0_0_0_set1_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set1_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer2_firstNameL.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(175);
        data.left = new FormAttachment(customer2_firstNameL,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set1_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer2_firstNameW.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_2_0_0_0_set2_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer2_birthDateL.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(90);
        data.left = new FormAttachment(customer2_birthDateL,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer2_birthDateW.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(customer2_birthDateW,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer2_genderL.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(customer2_genderL,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer2_genderW.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(50);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(BrowseModesPage_composite_2_0_0_0W,scaler.convertYToCurrent(3),SWT.BOTTOM);
        BrowseModesPage_composite_3_0_0_0W.setLayoutData(data);

        lastControl=null;
        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_3_0_0_0_set0W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_3_0_0_0_set0W;

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        if(lastControl!=null) {
            data.top = new FormAttachment(lastControl,scaler.convertYToCurrent(3),SWT.BOTTOM);
        } else {
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        }
        BrowseModesPage_composite_3_0_0_0_set1W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_3_0_0_0_set1W;

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        if(lastControl!=null) {
            data.top = new FormAttachment(lastControl,scaler.convertYToCurrent(3),SWT.BOTTOM);
        } else {
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        }
        BrowseModesPage_composite_3_0_0_0_set2W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_3_0_0_0_set2W;

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(100,100,scaler.convertXToCurrent(0));
        if(lastControl!=null) {
            data.top = new FormAttachment(lastControl,scaler.convertYToCurrent(3),SWT.BOTTOM);
        } else {
            data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        }
        BrowseModesPage_composite_3_0_0_0_set3W.setLayoutData(data);
        lastControl=BrowseModesPage_composite_3_0_0_0_set3W;

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_3_0_0_0_set0_centered.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(50);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set0_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        caption.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_3_0_0_0_set1_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(120));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set1_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        tx3L.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(50);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(123));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(300));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set1_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        tx3W.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(tx3W,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(380));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set1_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        cb3L.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(50);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(383));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(550));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set1_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        cb3W.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_3_0_0_0_set2_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(120));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer3_firstNameL.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(50);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(123));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(300));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set2_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer3_firstNameW.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(1);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.top = new FormAttachment(0,100,scaler.convertYToCurrent(0));
        data.bottom = new FormAttachment(100,100,scaler.convertYToCurrent(0));
        BrowseModesPage_composite_3_0_0_0_set3_centered.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(0));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(120));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set3_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer3_birthDateL.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(50);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(123));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(300));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set3_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer3_birthDateW.setLayoutData(data);

        data = new FormData();
        data.left = new FormAttachment(customer3_birthDateW,scaler.convertXToCurrent(3),SWT.RIGHT);
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(380));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set3_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer3_genderL.setLayoutData(data);

        data = new FormData();
        data.width = scaler.convertXToCurrent(50);
        data.left = new FormAttachment(0,100,scaler.convertXToCurrent(383));
        data.right = new FormAttachment(0,100,scaler.convertXToCurrent(550));
        data.top = new FormAttachment(BrowseModesPage_composite_3_0_0_0_set3_centered,scaler.convertYToCurrent(0),SWT.CENTER);
        customer3_genderW.setLayoutData(data);


        if(getDialog()==this) {
            shell.setTabList(new Control[] { BrowseModesPageCompW });
        }
        tabOrder = new Control[4];
        tabOrder[0] = BrowseModesPage_composite_0_0_0_0W;
        tabOrder[1] = BrowseModesPage_composite_1_0_0_0W;
        tabOrder[2] = BrowseModesPage_composite_2_0_0_0W;
        tabOrder[3] = BrowseModesPage_composite_3_0_0_0W;
        BrowseModesPageCompW.setTabList(tabOrder);
        tabOrder = new Control[1];
        tabOrder[0] = BrowseModesPage_composite_0_0_0_0_set0W;
        BrowseModesPage_composite_0_0_0_0W.setTabList(tabOrder);
        tabOrder = new Control[1];
        tabOrder[0] = editModeCheckBoxW;
        BrowseModesPage_composite_0_0_0_0_set0W.setTabList(tabOrder);
        tabOrder = new Control[3];
        tabOrder[0] = BrowseModesPage_composite_1_0_0_0_set0W;
        tabOrder[1] = BrowseModesPage_composite_1_0_0_0_set1W;
        tabOrder[2] = BrowseModesPage_composite_1_0_0_0_set2W;
        BrowseModesPage_composite_1_0_0_0W.setTabList(tabOrder);
        tabOrder = new Control[2];
        tabOrder[0] = tx1W;
        tabOrder[1] = cb1W;
        BrowseModesPage_composite_1_0_0_0_set0W.setTabList(tabOrder);
        tabOrder = new Control[1];
        tabOrder[0] = customer1_firstNameW;
        BrowseModesPage_composite_1_0_0_0_set1W.setTabList(tabOrder);
        tabOrder = new Control[2];
        tabOrder[0] = customer1_birthDateW;
        tabOrder[1] = customer1_genderW;
        BrowseModesPage_composite_1_0_0_0_set2W.setTabList(tabOrder);
        tabOrder = new Control[3];
        tabOrder[0] = BrowseModesPage_composite_2_0_0_0_set0W;
        tabOrder[1] = BrowseModesPage_composite_2_0_0_0_set1W;
        tabOrder[2] = BrowseModesPage_composite_2_0_0_0_set2W;
        BrowseModesPage_composite_2_0_0_0W.setTabList(tabOrder);
        tabOrder = new Control[2];
        tabOrder[0] = tx2W;
        tabOrder[1] = cb2W;
        BrowseModesPage_composite_2_0_0_0_set0W.setTabList(tabOrder);
        tabOrder = new Control[1];
        tabOrder[0] = customer2_firstNameW;
        BrowseModesPage_composite_2_0_0_0_set1W.setTabList(tabOrder);
        tabOrder = new Control[2];
        tabOrder[0] = customer2_birthDateW;
        tabOrder[1] = customer2_genderW;
        BrowseModesPage_composite_2_0_0_0_set2W.setTabList(tabOrder);
        tabOrder = new Control[4];
        tabOrder[0] = BrowseModesPage_composite_3_0_0_0_set0W;
        tabOrder[1] = BrowseModesPage_composite_3_0_0_0_set1W;
        tabOrder[2] = BrowseModesPage_composite_3_0_0_0_set2W;
        tabOrder[3] = BrowseModesPage_composite_3_0_0_0_set3W;
        BrowseModesPage_composite_3_0_0_0W.setTabList(tabOrder);
        tabOrder = new Control[0];
        BrowseModesPage_composite_3_0_0_0_set0W.setTabList(tabOrder);
        tabOrder = new Control[2];
        tabOrder[0] = tx3W;
        tabOrder[1] = cb3W;
        BrowseModesPage_composite_3_0_0_0_set1W.setTabList(tabOrder);
        tabOrder = new Control[1];
        tabOrder[0] = customer3_firstNameW;
        BrowseModesPage_composite_3_0_0_0_set2W.setTabList(tabOrder);
        tabOrder = new Control[2];
        tabOrder[0] = customer3_birthDateW;
        tabOrder[1] = customer3_genderW;
        BrowseModesPage_composite_3_0_0_0_set3W.setTabList(tabOrder);
        if(getDialog()==this) {
            shell.setSize(scaler.convertXToCurrent(640), scaler.convertYToCurrent(480));
        }

        /* Color variable */
        org.eclipse.swt.graphics.Color color_blue = getComposite().getDisplay().getSystemColor(SWT.COLOR_BLUE);

        /* Foreground color */
        BrowseModesPage_composite_3_0_0_0W.setForeground(color_blue);
        BrowseModesPage_composite_3_0_0_0_set0W.setForeground(color_blue);
        BrowseModesPage_composite_3_0_0_0_set1W.setForeground(color_blue);
        BrowseModesPage_composite_3_0_0_0_set2W.setForeground(color_blue);
        BrowseModesPage_composite_3_0_0_0_set3W.setForeground(color_blue);
        caption.setForeground(color_blue);
        tx3L.setForeground(color_blue);
        tx3W.setForeground(color_blue);
        cb3L.setForeground(color_blue);
        cb3W.setForeground(color_blue);
        customer3_firstNameL.setForeground(color_blue);
        customer3_firstNameW.setForeground(color_blue);
        customer3_birthDateL.setForeground(color_blue);
        customer3_birthDateW.setForeground(color_blue);
        customer3_genderL.setForeground(color_blue);
        customer3_genderW.setForeground(color_blue);

        /* Font */
        org.eclipse.swt.graphics.FontData templateFontData = getComposite().getFont().getFontData()[0];
        org.eclipse.swt.graphics.Font fontbold=getComponent().getFont(templateFontData.getName(), templateFontData.getHeight(), SWT.BOLD);
        BrowseModesPage_composite_3_0_0_0W.setFont(fontbold);
        BrowseModesPage_composite_3_0_0_0_set0W.setFont(fontbold);
        BrowseModesPage_composite_3_0_0_0_set1W.setFont(fontbold);
        BrowseModesPage_composite_3_0_0_0_set2W.setFont(fontbold);
        BrowseModesPage_composite_3_0_0_0_set3W.setFont(fontbold);
        caption.setFont(fontbold);
        caption.setFont(fontbold);
        tx3L.setFont(fontbold);
        tx3W.setFont(fontbold);
        cb3L.setFont(fontbold);
        cb3W.setFont(fontbold);
        customer3_firstNameL.setFont(fontbold);
        customer3_firstNameW.setFont(fontbold);
        customer3_birthDateL.setFont(fontbold);
        customer3_birthDateW.setFont(fontbold);
        customer3_genderL.setFont(fontbold);
        customer3_genderW.setFont(fontbold);
        createBrowseWidgets();
    }

    /**
     * Remove all Widgets of the page after they have been disposed.
     */
    public void removeWidgets() {
        BrowseModesPage_composite_0_0_0_0W = null;
        BrowseModesPage_composite_0_0_0_0_set0W = null;
        BrowseModesPage_composite_0_0_0_0_set0_centered = null;
        editModeCheckBoxW = null;
        BrowseModesPage_composite_1_0_0_0W = null;
        BrowseModesPage_composite_1_0_0_0_set0W = null;
        BrowseModesPage_composite_1_0_0_0_set0_centered = null;
        tx1L = null;
        tx1W = null;
        cb1L = null;
        cb1W = null;
        BrowseModesPage_composite_1_0_0_0_set1W = null;
        BrowseModesPage_composite_1_0_0_0_set1_centered = null;
        customer1_firstNameL = null;
        customer1_firstNameW = null;
        BrowseModesPage_composite_1_0_0_0_set2W = null;
        BrowseModesPage_composite_1_0_0_0_set2_centered = null;
        customer1_birthDateL = null;
        customer1_birthDateW = null;
        customer1_genderL = null;
        customer1_genderW = null;
        BrowseModesPage_composite_2_0_0_0W = null;
        BrowseModesPage_composite_2_0_0_0_set0W = null;
        BrowseModesPage_composite_2_0_0_0_set0_centered = null;
        tx2L = null;
        tx2W = null;
        cb2L = null;
        cb2W = null;
        BrowseModesPage_composite_2_0_0_0_set1W = null;
        BrowseModesPage_composite_2_0_0_0_set1_centered = null;
        customer2_firstNameL = null;
        customer2_firstNameW = null;
        BrowseModesPage_composite_2_0_0_0_set2W = null;
        BrowseModesPage_composite_2_0_0_0_set2_centered = null;
        customer2_birthDateL = null;
        customer2_birthDateW = null;
        customer2_genderL = null;
        customer2_genderW = null;
        BrowseModesPage_composite_3_0_0_0W = null;
        BrowseModesPage_composite_3_0_0_0_set0W = null;
        BrowseModesPage_composite_3_0_0_0_set0_centered = null;
        caption = null;
        BrowseModesPage_composite_3_0_0_0_set1W = null;
        BrowseModesPage_composite_3_0_0_0_set1_centered = null;
        tx3L = null;
        tx3W = null;
        cb3L = null;
        cb3W = null;
        BrowseModesPage_composite_3_0_0_0_set2W = null;
        BrowseModesPage_composite_3_0_0_0_set2_centered = null;
        customer3_firstNameL = null;
        customer3_firstNameW = null;
        BrowseModesPage_composite_3_0_0_0_set3W = null;
        BrowseModesPage_composite_3_0_0_0_set3_centered = null;
        customer3_birthDateL = null;
        customer3_birthDateW = null;
        customer3_genderL = null;
        customer3_genderW = null;
        widgets = null;
    }


    /**
     * Attaches all WidgetModels of the page to there corresponding Widgets.
     */
    public void attachUIImpl() throws AttachmentExceptionClient {
        editModeCheckBoxW.setData(editModeCheckBox.getUIDelegate());
        editModeCheckBox.getUIDelegate().attachUI(editModeCheckBoxW,null);
        tx1W.setData(tx1.getUIDelegate());
        tx1.getUIDelegate().attachUI(tx1W,null);
        cb1W.setData(cb1.getUIDelegate());
        cb1.getUIDelegate().attachUI(cb1W,null);
        customer1_firstNameW.setData(customer1_firstName.getUIDelegate());
        customer1_firstName.getUIDelegate().attachUI(customer1_firstNameW,customer1_firstNameL);
        customer1_birthDateW.getDateTextField().setData(customer1_birthDate.getUIDelegate());
        customer1_birthDate.getUIDelegate().attachUI(customer1_birthDateW.getDateTextField(),customer1_birthDateL);
        customer1_genderW.setData(customer1_gender.getUIDelegate());
        customer1_gender.getUIDelegate().attachUI(customer1_genderW,customer1_genderL);
        tx2W.setData(tx2.getUIDelegate());
        tx2.getUIDelegate().attachUI(tx2W,null);
        cb2W.setData(cb2.getUIDelegate());
        cb2.getUIDelegate().attachUI(cb2W,null);
        customer2_firstNameW.setData(customer2_firstName.getUIDelegate());
        customer2_firstName.getUIDelegate().attachUI(customer2_firstNameW,customer2_firstNameL);
        customer2_birthDateW.getDateTextField().setData(customer2_birthDate.getUIDelegate());
        customer2_birthDate.getUIDelegate().attachUI(customer2_birthDateW.getDateTextField(),customer2_birthDateL);
        customer2_genderW.setData(customer2_gender.getUIDelegate());
        customer2_gender.getUIDelegate().attachUI(customer2_genderW,customer2_genderL);
        tx3W.setData(tx3.getUIDelegate());
        tx3.getUIDelegate().attachUI(tx3W,null);
        cb3W.setData(cb3.getUIDelegate());
        cb3.getUIDelegate().attachUI(cb3W,null);
        customer3_firstNameW.setData(customer3_firstName.getUIDelegate());
        customer3_firstName.getUIDelegate().attachUI(customer3_firstNameW,customer3_firstNameL);
        customer3_birthDateW.getDateTextField().setData(customer3_birthDate.getUIDelegate());
        customer3_birthDate.getUIDelegate().attachUI(customer3_birthDateW.getDateTextField(),customer3_birthDateL);
        customer3_genderW.setData(customer3_gender.getUIDelegate());
        customer3_gender.getUIDelegate().attachUI(customer3_genderW,customer3_genderL);
    }

    /**
     * Enables or disables Widgets according to the current state of the page.
     * This method is called every time the content of any WizardModel of the
     * Page may have been changed. <br>
     * This method is called immediately after {@link #determineState()}.
     */
    public void stateChanged() {
        boolean st_editMode = editModeCheckBox.isTrue();

        tx1.setEditable(st_editMode);
        cb1.setEditable(st_editMode);
        customer1_firstName.setMandatory(true);
        customer1_firstName.setEditable(st_editMode);
        customer1_birthDate.setMandatory(true);
        customer1_birthDate.setEditable(st_editMode);
        customer1_gender.setMandatory(true);
        customer1_gender.setEditable(st_editMode);
        tx2.setEditable(st_editMode);
        cb2.setEditable(st_editMode);
        customer2_firstName.setMandatory(true);
        customer2_firstName.setEditable(st_editMode);
        customer2_birthDate.setMandatory(true);
        customer2_birthDate.setEditable(st_editMode);
        customer2_gender.setMandatory(true);
        customer2_gender.setEditable(st_editMode);
        tx3.setEditable(st_editMode);
        cb3.setEditable(st_editMode);
        customer3_firstName.setMandatory(true);
        customer3_firstName.setEditable(st_editMode);
        customer3_birthDate.setMandatory(true);
        customer3_birthDate.setEditable(st_editMode);
        customer3_gender.setMandatory(true);
        customer3_gender.setEditable(st_editMode);
    }

    /**
     * Method called to start the DialogPage.
     */
    public boolean invoke() {
        load(null);
        return super.invoke();
    }

    /**
     * This method will be called every time the BrowseModesPage becomes visible.
     */
    protected void enter() {
        super.enter();
    }

    /**
     * Calls the clientevent configured for the widget of the event.
     *
     * @param event the SWT-Event that happened.
     * @param type the type of the Event, as defined by the event type constants in class SWT.
     */
    protected void clientEvent(SelectionEvent event,int type) {
    }

    protected void load(SelectionEvent event) {
        newRemoteCall("load").execute();
    }


    public void createBrowseWidgets() {
        tx2_browseW = (Text)createBrowseWidget(tx2W, BrowseMode.TEXT);
        cb2_browseW = (Text)createBrowseWidget(cb2W, BrowseMode.TEXT);
        customer2_firstName_browseW = (Text)createBrowseWidget(customer2_firstNameW, BrowseMode.TEXT);
        customer2_birthDate_browseW = (Text)createBrowseWidget(customer2_birthDateW, BrowseMode.TEXT);
        customer2_gender_browseW = (Text)createBrowseWidget(customer2_genderW, BrowseMode.TEXT);
        tx3_browseW = (Label)createBrowseWidget(tx3W, BrowseMode.FOREGROUND | BrowseMode.FONT);
        cb3_browseW = (Label)createBrowseWidget(cb3W, BrowseMode.FOREGROUND | BrowseMode.FONT);
        customer3_firstName_browseW = (Label)createBrowseWidget(customer3_firstNameW, BrowseMode.FOREGROUND | BrowseMode.FONT);
        customer3_birthDate_browseW = (Label)createBrowseWidget(customer3_birthDateW, BrowseMode.FOREGROUND | BrowseMode.FONT);
        customer3_gender_browseW = (Label)createBrowseWidget(customer3_genderW, BrowseMode.FOREGROUND | BrowseMode.FONT);
    }

    public void attachBrowseWidgets() {
        attachBrowseWidget(tx2,tx2_browseW);
        attachBrowseWidget(cb2,cb2_browseW);
        attachBrowseWidget(customer2_firstName,customer2_firstName_browseW);
        attachBrowseWidget(customer2_birthDate,customer2_birthDate_browseW);
        attachBrowseWidget(customer2_gender,customer2_gender_browseW);
        attachBrowseWidget(tx3,tx3_browseW);
        attachBrowseWidget(cb3,cb3_browseW);
        attachBrowseWidget(customer3_firstName,customer3_firstName_browseW);
        attachBrowseWidget(customer3_birthDate,customer3_birthDate_browseW);
        attachBrowseWidget(customer3_gender,customer3_gender_browseW);
    }
}
